Next: strchr, Previous: strcasestr, Up: Strings

### 5.18 `strcat`—concatenate strings

Synopsis

         #include <string.h>
         char *strcat(char *dst, const char *src);

Description
`strcat` appends a copy of the string pointed to by src (including the terminating null character) to the end of the string pointed to by dst. The initial character of src overwrites the null character at the end of dst.

Returns
This function returns the initial value of dst

Portability
`strcat` is ANSI C.

`strcat` requires no supporting OS subroutines.